
QGIS Application - Bug report #21845

Max scale is being reset to 1:100000 - Rule Based Symbology

2019-04-14 01:07 AM - Iliya Anastasov

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: GUI

Affected QGIS version:3.6.1 Regression?: Yes

Operating System: Debian 9 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29660

Description

Max scale values above 1:100000 are being saved, but after edit the field is reset to 1:100000

Associated revisions

Revision 2dea28fa - 2019-05-23 02:01 AM - Nyall Dawson

Fix rule based label/symbol renderers reset max scale for rules to

1:100000

And improve dox

Fixes #21845

Revision 7e788748 - 2019-05-23 04:55 AM - Nyall Dawson

Fix rule based label/symbol renderers reset max scale for rules to

1:100000

And improve dox

Fixes #21845

Revision 37946131 - 2019-05-23 09:58 AM - Nyall Dawson

Fix rule based label/symbol renderers reset max scale for rules to

1:100000

And improve dox

Fixes #21845

History

#1 - 2019-04-14 09:13 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.6 to 3.6.1

- Regression? changed from No to Yes

- Priority changed from Normal to High
Confirmed here on 3.6.1, very annoying indeed.

#2 - 2019-05-21 11:35 PM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

#3 - 2019-05-23 04:55 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|7e78874807bba3f2e562b767b103d68343928e25.
